subwoofer stops working after playback ends

Bug #494099 reported by Alexey Osipov on 2009-12-08
102
This bug affects 21 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: pulseaudio

Ubuntu 9.10.
pulseaudio 1:0.9.19-0ubuntu4

I have two sound cards - motherboard integrated HDA Intel and Creative Sound Blaster Audigy ES in PCI slot. Also I have TV-tuner Beholder M6, which also populates the list of sound devices.

Audigy is connected to 5.1 amplifier through analog output jacks.

In sound preferences I've choose "Analog Surround 5.1 Output + Analog Stereo Input" profile for Audigy card.
On "Output" tab I've selected the Audigy card for output. Connector switch is set to "Amplifier". See screenshots.

When I start playing some music through (for example) Rhythmbox everything works great: all five satellites and subwoofer works. When playback ends (because of my command or end of playlist or closing the player) and then started again by me, the subwoofer isn't work anymore. To get it work again, I need to go to sound preferences and switch soundcard in "Output" tab to internal and then back to Audigy.

I tried changing profile to "Analog Surround 5.1 Output" and others with no luck. Every subwoofer-enabled profile give same symptoms.

Player software is also unrelated. Totem shows up the same.

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: simba 1597 F.... pulseaudio
 /dev/snd/controlC1: simba 1597 F.... pulseaudio
 /dev/snd/controlC0: simba 1597 F.... pulseaudio
CRDA: Error: [Errno 2] Нет такого файла или каталога
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfdff8000 irq 16'
   Mixer name : 'Realtek ALC882'
   Components : 'HDA:10ec0882,1462f603,00100101'
   Controls : 38
   Simple ctrls : 22
Card1.Amixer.info:
 Card hw:1 'Audigy'/'SB Audigy 1 ES [SB0160] (rev.3, serial:0x521102) at 0xef00, irq 18'
   Mixer name : 'SigmaTel STAC9721,23'
   Components : 'AC97a:83847609'
   Controls : 198
   Simple ctrls : 34
Card2.Amixer.info:
 Card hw:2 'SAA7134'/'saa7133[0] at 0xfdaff000 irq 17'
   Mixer name : 'SAA7134 Mixer'
   Components : ''
   Controls : 6
   Simple ctrls : 3
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=e8447eff-d839-46e3-839e-cc1fe893584d
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Release Candidate amd64 (20100419.1)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 ppp0 no wireless extensions.
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=9d308f14-9134-4a09-8912-54b93716f3ec ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=ru_RU.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Regression: No
RelatedPackageVersions: linux-firmware 1.34
Reproducible: Yes
RfKill:

Tags: lucid audio needs-upstream-testing
Uname: Linux 2.6.32-21-generic x86_64
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin netdev plugdev sambashare tape video
dmi.bios.date: 01/11/2006
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: MS-7176
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.board.version: REV:A
dmi.chassis.type: 3
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd01/11/2006:svn:pn:pvr:rvnMICRO-STARINTERNATIONALCO.,LTD:rnMS-7176:rvrREVA:cvn:ct3:cvr:

Alexey Osipov (lion-simba) wrote :
Alexey Osipov (lion-simba) wrote :
csiry (csiry88) on 2010-02-06
description: updated
3sq (vrradulescu) wrote :

I have the same problem. I'm having a C-media 5.1 soundcard. The sound is incredible but subwoofer keep crashing. After every song I have to go to the sound option and "play" with the output options(For example i have to switch to 4.0 or something else and the back to 5.1 for the sound to get back to normal).

Is there anyone who know how to repair this?
Thanks

miguel (miguel-sanz-gonzalez) wrote :

Same problem too. Subwoofer stops working after every song.
My (usb) souncard is "Hercules Gamesurround Muse XL Pocket LT3 5.1 USB"
Any lowlevel solution? for example cron task to switch output options every minute or something like that?

Alexey Osipov (lion-simba) wrote :

Still not fixed in Lucid Alpha 2 with today updates.

miguel (miguel-sanz-gonzalez) wrote :

This worked for me:

sudo gedit /etc/pulse/daemon.conf
enable-lfe-remixing = yes

Daniel T Chen (crimsun) wrote :

After speaking with upstream about this conffile setting, it is very risky (and generally does bad things) to enable it across the board due to broken hw.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
importance: Undecided → Low
Changed in pulseaudio (Ubuntu Lucid):
status: Confirmed → Won't Fix
Alexey Osipov (lion-simba) wrote :

Hi Daniel... And again... "Won't fix". Won't fix because it risky? Risky to FIX it?

Please, separate a problem and a solution.

The problem is - subwoofer stops working.
Proposed solution by miguel is - "enable-lfe-remixing = yes".

Yes. The proposed solution maybe risky.
But NO, the problem fix is NOT risky. The problem fix IS necessary. Because the problem itself IS there. It confirmed by three different people.

If proposed fix is risky, then developers should find a not risky solution.

Changed in pulseaudio (Ubuntu Lucid):
status: Won't Fix → Confirmed

No, the pulse task is set to wontfix because there is no way to fix it for
all codecs exposing such a control.

Surely you understand that this is a hardware problem and that any
workaround belongs in linux. Please open a linux task, and reset the pulse
task to wontfix.

On Mar 7, 2010 2:15 PM, "Alexey Osipov" <email address hidden> wrote:

Hi Daniel... And again... "Won't fix". Won't fix because it risky? Risky
to FIX it?

Please, separate a problem and a solution.

The problem is - subwoofer stops working.
Proposed solution by miguel is - "enable-lfe-remixing = yes".

Yes. The proposed solution maybe risky.
But NO, the problem fix is NOT risky. The problem fix IS necessary. Because
the problem itself IS there. It confirmed by three different people.

If proposed fix is risky, then developers should find a not risky
solution.

** Changed in: pulseaudio (Ubuntu Lucid)
      Status: Won't Fix => Confirmed

--
subwoofer stops working after playback ends
https://bugs.launchpad.net/bugs/494099
You received...

Status in PulseAudio sound server: New
Status in “pulseaudio” package in Ubuntu: Confirmed
Status in “pulseaudio” source package in Lucid: Confirmed

Bug description:
Binary package hint: pulseaudio

Ubuntu 9.10.
pulseaudio 1:0.9.19-0ubuntu4

I have...

Alexey Osipov (lion-simba) wrote :

>> No, the pulse task is set to wontfix because there is no way to fix it for all codecs exposing such a control.
What "control"? This bug doesn't mention any controls. The bug is - subwoofer stops working every time playback ends. No controls at all.

>> Surely you understand that this is a hardware problem and that any workaround belongs in linux.
No, I'm not understand. Without PulseAudio with pure ALSA everything works just great, subwoofer works everytime, with no need to reset any settings in ALSA.

What exactly wrong in hardware or driver in your opinion? Why with ALSA everything works great?

>> Please open a linux task, and reset the pulse task to wontfix.
"Won't open"

Daniel T Chen (crimsun) wrote :

> What "control"? This bug doesn't mention any controls.
> The bug is - subwoofer stops working every time
> playback ends. No controls at all.

LFE (the subwoofer mixer control to which I'm referring) is wired incorrectly on many machines. On some machines, LFE is not correctly implemented with filtering. So, PulseAudio cannot assume that LFE works correctly on every machine. It is not surprising that the configuration option of enabling LFE remixing works on some machines and completely breaks on others.

> No, I'm not understand. Without PulseAudio with pure ALSA
> everything works just great, subwoofer works everytime,
> with no need to reset any settings in ALSA.

If the volume is being changed after a stream ends, that isn't necessarily a PulseAudio issue. In fact, most of the time it's an application issue or a mixer applet issue. However, you haven't provided enough details to really debug this symptom. Start by providing a verbose PA log.

> What exactly wrong in hardware or driver in your opinion?

I've just explained above how the hardware is sometimes at fault and how sometimes the bugs need to be worked around (or the hardware plain disabled) in linux.

> Why with ALSA everything works great?

You don't necessarily see the symptom, but that certainly doesn't imply that ALSA is bug-free in this context, either.

>> Please open a linux task, and reset the pulse task to wontfix.
> "Won't open"

Fine. Done.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Alexey,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 494099

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
pazuzuthewise (pazuzuthewise) wrote :

Response to Daniel T Chen:

> Why with ALSA everything works great?
>> You don't necessarily see the symptom, but that certainly doesn't imply that ALSA is bug-free in this context, either.

If there is no symptom, then it's a strong possibility that there is no disease also. One cannot postulate the existence of a bug in software X, simply on the basis of the fact that another software Y, unrelated to X, is afflicted with it - if one wants to be honest.

Daniel T Chen (crimsun) wrote :

On Thu, Apr 29, 2010 at 9:42 AM, pazuzuthewise <email address hidden> wrote:
> If there is no symptom, then it's a strong possibility that there is no
> disease also. One cannot postulate the existence of a bug in software X,
> simply on the basis of the fact that another software Y, unrelated to X,
> is afflicted with it - if one wants to be honest.

...except that it's a known fact, well-documented in the git
changesets for the driver and userspace components of alsa, that
assumptions made for the traditional interrupt mode completely fall
over in the timer mode used by pulse. We've been fixing these bugs as
we come across them.

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Alexey Osipov (lion-simba) wrote :

Hm. Since I've installed a fresh copy of Lucid RC, the configuration "Analog Surround 5.1 Output + Analog Stereo Input" as long as all other 5.1 configurations is disappeared from "Sound preferences dialog" (see attached picture).

So I can't even enable appropriate configuration to test if bug is still there or resolved. Should I open a separate bug about this?

Alexey Osipov (lion-simba) wrote :

Ok. 5.1 configuration went back after I renamed my .asoundrc, which was copied from my old system.
Because my .asoundrc is disabled now, I remove file UserAsoundrc.txt from the bugreport.

However, subwoofer is still turning off every time playback ends.

Alexey Osipov (lion-simba) wrote :

The bug is reproducible on the latest available kernel - http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc5-lucid/

tags: removed: needs-kernel-logs needs-upstream-testing
drakesoft (powerschorsch21) wrote :

I have the same problem! With a fresh installed Ubuntu 10.04 amd64

stanislavs1 (stanodamo) wrote :

Tonns of people- same prob. All over the net.

I have the same problem with my Creative Audigy 2 ZS sound card and ubuntu 10.04 (i386). With Ubuntu 9.04 everything was fine. Please fix it!

Alexey Osipov (lion-simba) wrote :

Still not fixed in Maverick RC.

i can confirm this bug.
using the onboard soundcard of an Asrock a785gxh/128m (VIA® VT1708S Audio Codec)

recently chanced my motherbord (from an msi K9a2 platinum)
and removed my SB audigy (why i don't know. sound is awful now.)
after that i had this problem.

Bernardo Donadio (bcdonadio) wrote :

I can confirm this bug too.

Ubuntu 10.10 Maverick amd64 2.6.35-25-generic
ALC892 on a 890GXM-A board.
PulseAudio and ALSA

Filip Hučko (hogan) wrote :

I can confirm this bug too.

Suggestion from #6 fixed it (but i am not sure if it changed the way sound is distributed to channels). Subwoofer works now without the need to change profile to something else and back.

Brad Figg (brad-figg) on 2011-05-04
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Lucid):
status: New → Confirmed
nixon (n1x0n) wrote :

How's the work coming on this bug? I just did a fresh install of Natty and this problem still exists. the line "enable-lfe-remixing = yes" does not work for me.

Michael B. Trausch (mtrausch) wrote :

When I was using Ubuntu (I am no longer using it on any of my systems) for any 5.1 card, I would have to have the sound properties open while I was playing music, and when a new song came on, I would have to flip the profile from 5.1 to something else and then back to 5.1 for the speakers to work correctly. I am now using another distribution without PA and my hardware works as expected and I am far more pleased.

The problem is not a kernel issue as has been alleged earlier on this thread; it is definitely a PA-specific problem, and that logically means that PA is the responsible subsystem. Unfortunately, it would seem that quality sound is not a priority, as it has been broken in every single release since PA was added to Ubuntu—one of many reasons I am no longer using it (the brokenness of sound—and the unwillingness to even acknowledge, let alone fix, long-standing user-facing bugs such as this one is probably the biggest reason that I am no longer an Ubuntu user). I need my computer to operate within specified parameters, and I need my operating system to do the same. It’d sure be nice if the people who claim to support the system would not participate in what we in the States call the “corporate blame game”, where every bug is someone else’s problem, but that is what it has come to over the years.

I’m off to find a way to unsubscribe en masse from all Ubuntu bugs I have reported or subscribed to over the years; seems moot that I should still be subscribed to them when I no longer use nor care about the distribution. Good luck to you who pursue a functional sound system in Ubuntu: I sincerely hope you someday get it.

How long is this bug reported? And still no fix. I very sad. Is anyone
interested in this bug?

FREEZX (kiko-trajkovski) wrote :

I was just having the exact same problem. This hasn't been fixed for over two years. So sad.

sudo gedit /etc/pulse/daemon.conf
enable-lfe-remixing = yes

This solution worked for me, and i hope it works for anyone else having this problem. On windows 2.0 to 5.1 upmixing was just a matter of checking a box. I sure hope developers will soon fix this.

eNDe (nesmrtelnydzin) wrote :

Hello,

thank you for advice. I´ll try it out asap. What pity that developers do
not want to solve this problem.

ND

Dne 6.12.2011 21:34, FREEZX napsal(a):
> I was just having the exact same problem. This hasn't been fixed for
> over two years. So sad.
>
> sudo gedit /etc/pulse/daemon.conf
> enable-lfe-remixing = yes
>
> This solution worked for me, and i hope it works for anyone else having
> this problem. On windows 2.0 to 5.1 upmixing was just a matter of
> checking a box. I sure hope developers will soon fix this.
>

academo (academo) wrote :

sudo gedit /etc/pulse/daemon.conf
enable-lfe-remixing = yes

This solution worked for me too.

nixon (n1x0n) wrote :

This one is a serious bug as it relates to usability of Ubuntu. I do have the fix that will work in all cases: http://linuxlife.blogspot.com/2011/08/fixing-ubuntus-surround-sound-problem.html

Jan Kaláb (pitel) wrote :

Still a problem in 12.04!

Workaround from nixon solved it. But I guess I'll have to change the configuration file when I'll attend some LAN party and use headphones.

Alexey Osipov, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: kernel-sound lucid maverick needs-upstream-testing
no longer affects: pulseaudio (Ubuntu)
no longer affects: pulseaudio (Ubuntu Lucid)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
affects: pulseaudio → linux
Michael F. (p0we7man) wrote :

I've 12.04 and it affects me.

Michael F., could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

Michael B. Trausch (mtrausch) wrote :

On 08/13/2012 09:19 AM, Christopher M. Penalver wrote:
> Michael F., could you please file a new report by executing the following in a terminal:
> ubuntu-bug linux

This may be inadvisable. I have some additional information, though not
enough (yet) to exactly pinpoint the root cause.

First off, this problem exists on all distributions that I have tried
that use PulseAudio as the audio system of choice, regardless of sound
card (as long as you're not a standard 2-speaker stereo setup). More
strangely, I noticed on my Gentoo install (I've no way to verify this on
ubuntu at the moment, as it won't work on my computer due to graphics
driver issues of some sort) that certain sounds, such as the
notifications from GNOME, play through all six channels correctly, while
media players (e.g., Rhythmbox, Banshee) exhibit the problem as
frequently as every track change.

From what I can tell so far, that means that the problem is narrowed
down to (at least) media players, PulseAudio, or a difference in
configuration between GNOME's audio notifications system and media
players themselves. I can't say for sure, because I haven't had the
chance to go digging in the sources for the various projects yet to try
to figure out what's going on.

If I had to hazard a guess, though, since the one thing I've noted in
common among all systems which have this problem is the presence of
PulseAudio, that should probably be tentatively listed as the origin of
the bug.

 --- Mike

--
A man who reasons deliberately, manages it better after studying Logic
than he could before, if he is sincere about it and has common sense.
                                   --- Carveth Read, “Logic”

Changed in linux (Ubuntu):
importance: Undecided → Medium
Michael F. (p0we7man) wrote :

I submitted my problem as Bug #1036214

gigdaddy (brad-broadway) wrote :

Just wanted to say that after several failed attempts to get pulseaudio to work properly (editing /etc/pulse/daemonconf, 2 ->6 channels, and enable-lfe-remixing = yes), I was still being vexed. Keep in mind, this is after a fresh install of mint, and after experiencing similar problems in ubuntu. I was finally able to get my audio to work song after song.

Uninstalled pulseaudio:
sudo apt-get autoremove pulseaudio

rebooted

installed alsamixer:
sudo apt-get install gnome-alsamixer

rebooted again (y'know... for good measure)

cranked up the volume:
gnome-alsamixer

Should note that I did lose my tray icon for the soundmixer, but eff it. It worked.

UltyX (ultyx1) wrote :

This bug is still present in Mint 14 KDE 64bit.

(editing /etc/pulse/daemonconf, 2 ->6 channels, and enable-lfe-remixing = yes) did not fix the problem for me.

I'm using a crative x-fi extream gamer in 5.1 configuration.

sarka (sarka9000) wrote :

This bug is still present in Ubuntu 14.04.

Editing daemon.conf didn't help as mentioned before.

I'm using Intel HD audio ALC892 and analog 5.1 out.

If Audacious is paused on a stream, subwoofer remains working. As soon as the stream is stopped, subwoofer goes silent.

UltyX (ultyx1) wrote :

I recently upgraded to an Asus x99 -A which has an ALC1150 audio chipset.
Changing the line in /etc/pulse/daemon.conf
from
; enable-lfe-remixing = no
to
enable-lfe-remixing = yes

fixed the missing subwoofer sound for me now.

ultyX, it will help immensely if you filed a new report via a terminal:
ubuntu-bug -s audio

Please feel free to subscribe me to it.

Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in linux (Ubuntu Lucid):
status: Confirmed → Won't Fix
no longer affects: linux (Ubuntu)
no longer affects: linux (Ubuntu Lucid)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: linux → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.